Loading...
Searching...
No Matches
Dune::DenseMatVecTraits< DynamicVector< K, Allocator > > Struct Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/dynvector.hh>`

Inheritance diagram for Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >:

## Public Types

typedef DynamicVector< K, Allocator > | derived_type
typedef std::vector< K, Allocator > | container_type
typedef K | value_type
typedef container_type::size_type | size_type

## Member Typedef Documentation

## container_type

template<class K, class Allocator>

typedef std::vector< K, Allocator > Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >::container_type

## derived_type

template<class K, class Allocator>

typedef DynamicVector< K, Allocator > Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >::derived_type

## size_type

template<class K, class Allocator>

typedef container_type::size_type Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >::size_type

## value_type

template<class K, class Allocator>

typedef K Dune::DenseMatVecTraits< DynamicVector< K, Allocator > >::value_type

The documentation for this struct was generated from the following file:

- dynvector.hh